#
# spec file for package rubygem-heckle
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-heckle
Version:        1.4.3
Release:        8.1
%define mod_name heckle
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://www.rubyforge.org/projects/seattlerb
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:       series
Source2:       gem2rpm.yml
# MANUAL
Patch0:  heckle-1.4.3_shebang.patch
# /MANUAL
Summary:        Heckle is unit test sadism(tm) at it's core
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Heckle is unit test sadism(tm) at it's core. Heckle is a mutation tester. It
modifies your code and runs your tests to make sure they fail. The idea is
that if code can be changed and your tests don't notice, either that code
isn't being covered or it doesn't do anything.
It's like hiring a white-hat hacker to try to break into your server and
making sure you detect it. You learn the most by trying to break things and
watching the outcome in an act of unit test sadism.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.txt README.txt" \
  -f

%gem_packages

%changelog
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Mon Sep 29 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
- added heckle-1.4.3_shebang.patch to fix shebang lines again.
* Sat Feb 15 2014 kkaempf@suse.com
- re-generate spec for Ruby 2.1
- add ruby-devel buildrequires
- fix gem pathes
* Tue Jun 22 2010 mrueckert@suse.de
- remove heckle-1.4.3_usr_local_bin.patch:
  we use ruby -pie now for patching paths
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Sep 30 2009 mrueckert@suse.de
- added heckle-1.4.3_usr_local_bin.patch:
  fix shebang line
* Mon Aug 10 2009 dmacvicar@novell.com
- initial package for 1.4.3
